﻿@using dbChange.Models.LIB;
@{

    ViewData["Title"] = "Báo cáo ra vào cổng";
    Layout = "~/Views/Shared/Admin/_Layout_Admin.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
}

<div class="row">
    <div class="col-12">
        <div class="iq-card">
            <div class="row m-0 p-2">
                <h4 class="card-title text-uppercase" style="color:red;font-size:18px;font-weight:bold;text-align:center;width:100%;">DANH SÁCH ĐI LÀM TUẦN</h4>
            </div>
            <div class="row m-0">
                <div class="col-3">
                    <div class="iq-header-title">
                        <label for="Id">Từ Ngày</label>
                        <input type="date" class="form-control form-control-sm" value="@System.DateTime.UtcNow.ToString("yyyy-MM-dd")" name="NgayDangKyTuNgay" id="NgayDangKyTuNgay" />
                    </div>
                </div>
                <div class="col-3">
                    <div class="iq-header-title">
                        <label for="Id">Đơn vị </label>
                        <select class="form-control form-control-sm" name="DonVi" id="DonVi">
                            <option value="">Tất cả</option>
                            @{
                                foreach (var item in lsDonVi)
                                {
                                    <option value="@item.TenDonVi">@item.TenDonVi</option>
                                }
                            }
                        </select>
                    </div>
                </div>
                <div class="col-3">
                    <div class="iq-header-title">
                        <button class="btn btn-primary btnXemBaoCaoRaVaoCong" type="button" style="  margin-left:10px;  float: left;    margin-top: 25px;"><i class="fa fa-save"></i>Xem</button>
                    </div>
                </div>
            </div>
            <div class="iq-card-body">
                <div class="row">
                    <div class="col-6">
                        <table class="table-bordered table-master">
                            <tr>
                                <td>Số lượng đăng ký:</td>
                                <td class="colorred" id="TongSoLuongDK"></td>
                            </tr>
                            <tr>
                                <td>Số lượng vào:</td>
                                <td class="colorred" id="TongSoVao"></td>
                            </tr>
                            <tr>
                                <td>Đạt:</td>
                                <td class="colorred" id="Dat"></td>
                            </tr>
                            <tr>
                                <td>Giờ bắt đầu:</td>
                                <td class="colorred" id="BatDau"></td>
                            </tr>
                            <tr>
                                <td>Giờ kết thúc:</td>
                                <td class="colorred" id="KetThuc"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="col-6">
                        <table class="table-bordered table-master">
                            <tr>
                                <td>Chưa khai báo y tế:</td>
                                <td class="colorred" id="ChuaKhaiBaoYTe"></td>
                            </tr>
                            <tr>
                                <td>Bình thường:</td>
                                <td class="colorred" id="BinhThuong"></td>
                            </tr>
                            <tr>
                                <td>Có triệu chứng:</td>
                                <td class="colorred" id="TrieuChung"></td>
                            </tr>
                            <tr>
                                <td>Có yếu tố dịch tể:</td>
                                <td class="colorred" id="DichTe"></td>
                            </tr>
                            <tr>
                                <td>Y/C xét nghiệm:</td>
                                <td class="colorred" id="XetNghiem"></td>
                            </tr>
                            <tr>
                                <td>Y/C cách ly:</td>
                                <td class="colorred" id="CachLy"></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div id="gridContainer"></div>
            </div>
        </div>
    </div>
</div>
<style>
    table.table-master{
        min-width:50%;
    }
    .table-master td {
        font-weight:bold;
        color:black;
        padding:5px;
    }
    .table-master .colorred{
        color:red!important;
    }
</style>
